%global modname immutabledict

Name:           python-%{modname}
Version:        2.2.4
Release:        1%{?dist}.59
Summary:        An immutable wrapper around dictionaries for Python3

License:        MIT
URL:            https://github.com/corenting/immutabledict
Source0:        %{url}/archive/v%{version}/%{modname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%global _description \
A fork of the original frozendict, an immutable wrapper around dictionaries.\
This library is a pure Python, MIT-licensed alternative to the new\
LGPL-3.0 licensed frozendict.\
\
It implements the complete mapping interface and can be used as a\
drop-in replacement for dictionaries where immutability is desired.\
The immutabledict constructor mimics dict, and all of the expected\
interfaces (iter, len, repr, hash, getitem) are provided.\
Note that an immutabledict does not guarantee the immutability\
of its values, so the utility of hash method is restricted by usage.\
\
The only difference is that the copy() method of immutable takes\
variable keyword arguments, which will be present as key/value pairs\
in the new, immutable copy.

%description %{_description}

%package -n python3-%{modname}
Summary:        %{summary}

%description -n python3-%{modname} %{_description}


%prep
%autosetup -n %{modname}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires -e py


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files %{modname}


%files -n python3-%{modname} -f %{pyproject_files}


%changelog
* Tue Apr 11 2023 Oleg Girko <ol@infoserver.lv> - 2.2.4-1
- Initial package
